Support » Plugin: WordPress HTTPS (SSL) » FORCE_SSL_LOGIN notice

Viewing 5 replies - 1 through 5 (of 5 total)
  • pretty please! 🙂

    Hi,

    Getting a ton of errors about FORCE_SSL_ADMIN (see below). Can you please update the plugin? I have tried to add define(‘FORCE_SSL_ADMIN’, true); in wp-config but that does not help.

    Notice: force_ssl_login is deprecated since version 4.4.0! Use force_ssl_admin() instead. in /wordpress/current/wp-includes/functions.php on line 3829

    Thanks!

    Aron Prins

    (@aronprins)

    Hey all,

    I’m no expert but managed to get this error to at least STOP from showing up.

    Open pluginfolder/lib/WordPressHTTPS/module/Core.php and fine line: 280

    if ( force_ssl_login() && preg_match('/wp-login\.php$/', $url) === 1 ) {
    $force_ssl = true;	
    }

    and change to:

    if ( force_ssl_admin() && preg_match('/wp-login\.php$/', $url) === 1 ) {
    $force_ssl = true;	
    }

    This made the errors go away and as it’s replaced by the current way to do this it hsould be fine 🙂

    Hope this helps anyone!
    Cheers,
    Aron

    Willbee2

    (@willbee2)

    Works for me too…the plugin hasn’t been updated for 4 years so it was good until 4.4 in December 2015.

    Thanks Aron !

    tmuka

    (@tmuka)

    thanks @aronprins, that worked for me too.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘FORCE_SSL_LOGIN notice’ is closed to new replies.